Subject: Re: [Geopriv] New Version Notification for draft-bellis-geopriv-flow-identity-00.txt

From: Martin Thomson <[email-masked]>
Date: Thu, 1 Mar 2012 20:47:58 -0800

This is pretty good.  The only addition that I would make is to ensure
that the next great network or transport protocol gets a chance at
working here.  Extension points for layer3 and layer4 are probably a
good idea.  Fortunately, UPA isn't a problem, so you can make the
simple type a union of what you have and xs:token (or some restriction
thereof in order to restrict the valid set of characters to something
sensible).

I do think that your justification could be made clearer.  You wish to
identify a host on the remote side of a NAT by identifying a flow that
you know that host is participating in.  We all got this one wrong.

--Martin

On 29 February 2012 08:45, Ray Bellis <[email-masked]> wrote:
> It's only the complete 6-tuple that uniquely identifies the flow, and hence
> the internal target behind that NAT.